import {httpGet,httpPost} from "@/utils/request.js"

/**
 * 消息列表
 * @param type 0 1 2
 */
export const apiMessageList = params =>{
	return httpGet('/message/list',params)
}

/**
 * 一键已读
 */
export const apiReadAll = params => {
	return httpPost('/message/batch/read',params)
}

/**
 * 单条已读 msg_id
 */
export const apiReadOneMessage = params => {
	return httpPost('/message/read',params)
}

/**
 * 删除 msg_id
 */
export const apiDelMessage = params => {
	return httpPost('/message/delete',params)
}